<template>
    <div>
        <el-tabs type="border-card">
            <el-tab-pane>
                <span slot="label"><i class="fa fa-info" aria-hidden="true"></i> INFOS</span>
                <ul class="tab-info-items">
                    <li class="tab-info-items__item">Title: {{ videoInfo.video_data.name }}</li>
                    <li class="tab-info-items__item">Type: DUBBING</li>
                    <li class="tab-info-items__item">Size: {{ videoInfo.video_size }}</li>
                    <li class="tab-info-items__item">Date: {{ videoInfo.video_data.created_at }} </li>
                    <li class="tab-info-items__item">Comments: {{ comments.length }}</li>
                </ul>
            </el-tab-pane>
            <el-tab-pane label="">
                <span slot="label"><i class="fa fa-file-pdf-o" aria-hidden="true"></i> ASSETS</span>
                <ul class="tab-assets-items">
                    <template v-for="data in assets">
                        <li class="tab-assets-items__item" @click="pdf(data.name, data.path)">
                            <i class="fa fa-file-pdf-o" aria-hidden="true"></i>
                            <span>{{ data.path }}</span>
                        </li>
                    </template>
                </ul>
            </el-tab-pane>
            <el-tab-pane>
                <span slot="label"><i class="fa fa-users" aria-hidden="true"></i> TEAM</span>
                <ul class="tab-team-items">
                    <li class="tab-team-items__item" v-for="user in teamUsers">
                        <div class="tab-team-items__left">
                            <p>{{ user.surname }} {{ user.name }}</p>
                            <p>{{ user.company_name }}</p>
                            <p>{{ user.email }}</p>
                        </div>

                        <div class="tab-team-items__right">
                            <i class="fa fa-eye" aria-hidden="true" v-if="user.permission.view"></i>
                            <i class="fa fa-commenting-o" aria-hidden="true" v-if="user.permission.chat"></i>
                            <i class="fa fa-check-circle-o" aria-hidden="true" v-if="user.permission.publish"></i>
                        </div>
                    </li>
                </ul>
            </el-tab-pane>
        </el-tabs>

        <el-dialog
                :title="pdfName"
                :visible.sync="centerDialogVisible"
                width="80%"
                center>
            <iframe :src="pdfPath" width="100%"></iframe>
        </el-dialog>
    </div>
</template>

<script>
    export default {
        name: 'VideoInfoTab',
        props: ['teamUsers', 'videoInfo', 'comments', 'assets'],
        data() {
            return {
                centerDialogVisible: false,
                pdfPath: '',
                pdfName: ''
            }
        },
        methods: {
            pdf(name, path) {
                this.centerDialogVisible = true
                this.pdfPath = '/assets/' + path
                this.pdfName = name
            }
        }
    }
</script>

<style scoped>
    iframe {
        height: 60vh;
    }
</style>